package com.plannaplan.responses.models;

import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;

/**
 * Course respose with all realted groups as api response. Alse needs to specify
 * what type of Groups api response will be kept here. For excmaple it can be
 * <b> GroupDefaultRespnse </b>
 */
@ApiModel(description = "Response shows information about groups to given course.", value = "CourseWithGroupsResponse")
public class CourseWithGroupsResponse<T> {

    private List<T> lectures = new ArrayList<>();
    private List<T> classes = new ArrayList<>();

    /**
     * @param classes  realted classes Groups instance
     * @param lectures realted lectures Groups instance
     */
    public CourseWithGroupsResponse(List<T> classes, List<T> lectures) {
        this.lectures = lectures;
        this.classes = classes;
    }

    /**
     * @return realted classes Groups instance
     */
    public List<T> getClasses() {
        return this.classes;
    }

    /**
     * @return realted lectures Groups instance
     */
    public List<T> getLectures() {
        return this.lectures;
    }

}